### Signal

# Atspi Accessible::mode-changed

#### Declaration

    void
    mode_changed (
      AtspiAccessible* self,
      gint arg1,
      gchar* why,
      gpointer user_data
    )

#### Description [src]

The signal “mode-changed” is emitted by a screen reader to indicate that its mode has changed. This signal supports the following details: focus-tracking flat-review mouse-review say-all caret-tracking.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`arg1`

  Type: `gint`

  A boolean specifying whether the mode is being toggled on or off.

`why`

  Type: `gchar*`

  An optional string explaining why the mode changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.